/*
 * This file is generated by jOOQ.
 */
package nu.studer.sample;


import javax.annotation.processing.Generated;

import nu.studer.sample.tables.Customer;
import nu.studer.sample.tables.Purpose;
import nu.studer.sample.tables.PurposeCategories;
import nu.studer.sample.tables.Task;
import nu.studer.sample.tables.records.CustomerRecord;
import nu.studer.sample.tables.records.PurposeCategoriesRecord;
import nu.studer.sample.tables.records.PurposeRecord;
import nu.studer.sample.tables.records.TaskRecord;

import org.jooq.ForeignKey;
import org.jooq.TableField;
import org.jooq.UniqueKey;
import org.jooq.impl.DSL;
import org.jooq.impl.Internal;


/**
 * A class modelling foreign key relationships and constraints of tables in
 * selfbooster.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.15.1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Keys {

    // -------------------------------------------------------------------------
    // UNIQUE and PRIMARY KEY definitions
    // -------------------------------------------------------------------------

    public static final UniqueKey<CustomerRecord> PK_CUSTOMER_ID = Internal.createUniqueKey(Customer.CUSTOMER, DSL.name("pk_customer_id"), new TableField[] { Customer.CUSTOMER.UUID }, true);
    public static final UniqueKey<PurposeRecord> PK_PURPOSE_ID = Internal.createUniqueKey(Purpose.PURPOSE, DSL.name("pk_purpose_id"), new TableField[] { Purpose.PURPOSE.UUID }, true);
    public static final UniqueKey<PurposeRecord> UNQ_PURPOSE_USERID = Internal.createUniqueKey(Purpose.PURPOSE, DSL.name("unq_purpose_userid"), new TableField[] { Purpose.PURPOSE.CUSTOMER_UUID }, true);
    public static final UniqueKey<PurposeCategoriesRecord> PK_PURPOSE_CATEGORIES_ID = Internal.createUniqueKey(PurposeCategories.PURPOSE_CATEGORIES, DSL.name("pk_purpose categories_id"), new TableField[] { PurposeCategories.PURPOSE_CATEGORIES.UUID }, true);
    public static final UniqueKey<TaskRecord> PK_TASKS_ID = Internal.createUniqueKey(Task.TASK, DSL.name("pk_tasks_id"), new TableField[] { Task.TASK.UUID }, true);
    public static final UniqueKey<TaskRecord> UNQ_TASKS_PURPOSE_ID = Internal.createUniqueKey(Task.TASK, DSL.name("unq_tasks_purpose id"), new TableField[] { Task.TASK.PURPOSE_UUID }, true);

    // -------------------------------------------------------------------------
    // FOREIGN KEY definitions
    // -------------------------------------------------------------------------

    public static final ForeignKey<PurposeRecord, CustomerRecord> PURPOSE__FK_PURPOSE_CUSTOMER = Internal.createForeignKey(Purpose.PURPOSE, DSL.name("fk_purpose_customer"), new TableField[] { Purpose.PURPOSE.CUSTOMER_UUID }, Keys.PK_CUSTOMER_ID, new TableField[] { Customer.CUSTOMER.UUID }, true);
    public static final ForeignKey<PurposeRecord, PurposeCategoriesRecord> PURPOSE__FK_PURPOSE_PURPOSE_CATEGORIES = Internal.createForeignKey(Purpose.PURPOSE, DSL.name("fk_purpose_purpose categories"), new TableField[] { Purpose.PURPOSE.CATEGORY_UUID }, Keys.PK_PURPOSE_CATEGORIES_ID, new TableField[] { PurposeCategories.PURPOSE_CATEGORIES.UUID }, true);
    public static final ForeignKey<TaskRecord, PurposeRecord> TASK__FK_TASKS_PURPOSE = Internal.createForeignKey(Task.TASK, DSL.name("fk_tasks_purpose"), new TableField[] { Task.TASK.PURPOSE_UUID }, Keys.PK_PURPOSE_ID, new TableField[] { Purpose.PURPOSE.UUID }, true);
}
